<?php

interface FeaturesBuilderInterface {

  /**
   * List Features type modules generated by this class.
   *
   * @return array
   *   An array of labels for Features module produced by the builder, keyed by
   *   machine name.
   */
  static function listFeatures();

  /**
   * Components included with the Feature.
   *
   * @return array
   *   Exportable components included with the Feature, keyed by component type.
   */
  public function components();

  /**
   * The machine name of the Feature module being built.
   *
   * @return string
   */
  public function label();

  /**
   * The machine name of the Feature module being built.
   *
   * @return string
   */
  public function machineName();

  /**
   * Declare the package in which this Feature belongs.
   *
   * @return string
   *   The name of the Features package.
   */
  public function package();

}
